/*------------------------------------*\

    FX Tabs/Accordion - Global styling for all tabs/accordions

    Add custom tabs/accordion styling to this file if it should be applied to all tabs/accordions on the site
    Otherwise, put your styles in individual block stylesheets

\*------------------------------------*/

.tab-accordion__panel:not(.is-active) .tab-accordion__panel__content {
    display: none;
}

.tab-accordion__tabs {
    display: flex;
    flex-wrap: wrap;
    top: 1px;
    position: relative;
    z-index: 2;
    justify-content: center;
}

.tab-accordion__tab,
.tab-accordion__panel__toggle {
    color: #00141F;
    text-decoration: none;
    transition: background-size .2s;
    border: none;
    font-weight: 700;
    padding-top: 0;
    padding: 0;
    padding-bottom: 10px;
    margin-bottom: 10px !important;
    font-size: 28px;
    background-color: transparent;
    outline: none;

    &:focus {
        border: none;
    }
}

.tab-accordion__tab.is-active,
.tab-accordion__panel__toggle.is-active {
    border-bottom: 1px solid #fff;
}

.tab-accordion__panel__toggle.is-active {
    border-radius: 4px 4px 0 0;
}

.tab-accordion__tab.is-active,
.tab-accordion__tab:hover,
.tab-accordion__tab:focus,
.tab-accordion__panel__toggle.is-active,
.tab-accordion__panel__toggle:hover,
.tab-accordion__panel__toggle:focus {
    background: linear-gradient(to right, #D8F0FF 0%, #D8F0FF 100%);
    background-position: left bottom;
    background-repeat: repeat-x;
    background-size: 100% 4px;
    color: #006FAC;
    text-decoration: none;
    transition: background-size .2s;
    border: none;
    font-weight: 700;
}

.tab-accordion__panel__content {
    padding: 20px;
    border: 1px solid transparent;
    border-top: 0;
    overflow: hidden;
}

.tab-accordion {
    position: relative;
}

.tab-accordion__panel__content .blog-listing__pagination [class*="col-"] {
    padding-left: 0;
}

@media (min-width: 1025px) {
    .tab-accordion__panel__content {
        position: relative;
        width: 100%;
        max-width: 616px;
        border-radius: 35px;
        border: 1px solid transparent;
        padding: 30px;
        margin: 0 auto;
        background-color: #fff;
        box-shadow: 0 3px 15px rgba(0, 20, 31, .05);
    }

    body.search .tab-accordion__panel__content {
        max-width: 100%;
    }

    .tab-accordion__tab,
    .tab-accordion__panel__toggle {
        border-radius: 4px 4px 0 0;
        margin: 0;
        width: auto;
        padding: 10px 30px;
    }

    .tab-accordion__tab {
        margin-right: 8px;
    }
}